# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /cvs/kvpnc/kvpnc/kvpnc-cvs-0.2.ebuild,v 1.1 2005/02/28 11:01:41 crissi Exp $
 
inherit kde cvs
 
ECVS_USER="anonymous"
ECVS_SERVER="cvs.gna.org:/cvs/kvpnc"
#ECVS_AUTH="ext"
#ECVS_SSH_HOST_KEY=""
#CVS_RSH="ssh"
ECVS_MODULE="kvpnc"
ECVS_TOP_DIR="${DISTDIR}/cvs-src/${PN}"
S=${WORKDIR}/${ECVS_MODULE}
 
DESCRIPTION="kvpnc - a KDE-VPN connection utility."
SRC_URI=""
HOMEPAGE="http://home.gna.org/${PN}/"
LICENSE="GPL-2"
KEYWORDS="~x86 ~ppc"
IUSE=""
SLOT="0"
 
DEPEND=">=net-misc/vpnc-0.2"
need-kde 3.2
 
src_compile(){
 PREFIX="`kde-config --prefix`"
 myconf="`use_with arts` `use_with gstreamer` `use_with opengl` `use_with xine`"
 
 kde_src_compile myconf configure
 kde_src_compile make
}
 
src_install() {
 kde_src_install
}
